Groovy Documentation

## groovy.lang
[Java] Class Reference

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Reference

All Implemented Interfaces:
  java.io.Serializable

    public class Reference
    extends GroovyObjectSupport

Represents a reference to a value

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`Reference()`
`Reference(java.lang.Object value)`

Method Summary
`java.lang.Object` | `get()`
`java.lang.Object` | `getProperty(java.lang.String property)`
`java.lang.Object` | `invokeMethod(java.lang.String name, java.lang.Object args)`
`void` | `set(java.lang.Object value)`
`void` | `setProperty(java.lang.String property, java.lang.Object newValue)`

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### Reference

    public Reference()

### Reference

    public Reference(java.lang.Object value)

Method Detail

### get

    public java.lang.Object get()

### getProperty

    public java.lang.Object getProperty(java.lang.String property)

### invokeMethod

    public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args)

### set

    public void set(java.lang.Object value)

### setProperty

    public void setProperty(java.lang.String property, java.lang.Object newValue)

Groovy Documentation